<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core" xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/primodaltemplate.xhtml">
		<ui:define name="title">
			<h:outputText value="#{facesContext.translate('title.study.show', cohortModel.study.name)}" />
		</ui:define>
		<ui:define name="body">
			<p:panelGrid columns="2">
				<h:outputText value="#{facesContext.translate('label.study.parent')}" />
				<h:outputText value="#{cohortModel.study.parentName}" />
				<h:outputText value="#{facesContext.translate('label.study.name')}" />
				<h:outputText value="#{cohortModel.study.name}" />
				<h:outputText value="#{facesContext.translate('label.study.description')}" />
				<ship:outputTranslation value="#{cohortModel.study.translation}" />
				<h:outputText value="#{facesContext.translate('label.study.startdate')}" />
				<h:outputText value="#{cohortModel.study.startDate}">
					<f:convertDateTime pattern="dd.MM.yyyy" />
				</h:outputText>
				<h:outputText value="#{facesContext.translate('label.study.designfeature')}" />
				<h:outputText value="#{cohortModel.study.designfeature}">
					<f:convertDateTime pattern="dd.MM.yyyy" />
				</h:outputText>
				<h:outputText value="#{facesContext.translate('label.study.participants')}" />
				<h:outputText value="#{cohortModel.study.participants}" />
				<h:outputText value="#{facesContext.translate('label.study.uniquename')}" />
				<h:outputText value="#{cohortModel.study.uniqueName}" />
			</p:panelGrid>
			<p:dataTable value="#{cohortModel.study.attributes}" var="sa">
				<p:column>
					<h:outputText value="#{sa.key}" />
				</p:column>
				<p:column>
					<h:outputText value="#{sa.jsonValue}" />
				</p:column>
			</p:dataTable>
		</ui:define>
		<ui:define name="formbuttons">
			<p:commandButton id="btn_cancel" action="#{cohortController.toWelcome}" value="#{facesContext.translate('button.overview')}" />
			<p:commandButton id="btn_edit" action="#{cohortController.toEdit(cohortModel.study)}" value="#{facesContext.translate('button.edit')}" immediate="true" rendered="#{cohortModel.study.canWrite}" />
		</ui:define>
		<ui:define name="help_de">
			Hier sind alle Attribute der Studie <h:outputText value="#{cohortModel.study.name}" /> aufgelistet.<br />Über <i>Bearbeiten</i> können Sie diese verändern. 
		</ui:define>
		<ui:define name="help_en">
		  Here you find all attributes of the study <h:outputText value="#{cohortModel.study.name}" />.<br />You can change it via <i>edit</i>.
		</ui:define>
	</ui:composition>
</h:body>
</html>
